%define module_name	slmodem
%define module_version	2.9.5
%define module_release	alt1.36

%define kversion	2.4.22
%define krelease	alt36
%define flavour		std-smp

%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	slmodem kernel modules for SmartLink Soft Modems support
Name:		kernel-modules-%{module_name}-%{flavour}
Version:	%{module_version}
Release:	%{module_release}

License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://dri.sourceforge.net/
BuildPreReq:	kernel-build-tools
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%{flavour} = %{kversion}-%{krelease}
BuildRequires:  kernel-source-%{module_name}

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%{ix86}
Requires:	slmodemd


%description
slmdm kernel modules for SmartLink Soft Modems support.

These are modules for your ALT Linux system

%prep

rm -rf kernel-source-%{module_name}-%{module_version}

tar -jxvf %{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%setup -D -T -n kernel-source-%{module_name}-%{module_version}

%build
%make_build KERNEL_DIR=%_includedir/linux-%{kversion}-%{flavour} CC=%kcc all

%install
mkdir -p \
    %buildroot%{module_dir}
%__install drivers/slamr.o %buildroot%{module_dir}/
					    
%post
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%files
%defattr(644,root,root,755)
%module_dir
%doc Changes README README.1st

%changelog
* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.9.5-alt1.36
- Initial build

